ASSERT(3)

NAME
assert - Abort the program if assertion is false.

SYNOPSIS
#include <assert.h>

void assert (int expression);

DESCRIPTION
assert() prints an error message to standard output and terminates the program by calling abort() if expression is false (i.e., compares equal to zero). This only happens when the macro NDEBUG was undefined when <assert.h> was last included.

RETURN VALUE
No value is returned.

CONFORMING TO
ISO9899 (ANSI C). In the 1990 standard, expression is required to be of type int and undefined behavior results if it is not, but in the 1999 standard it may have any scalar type.

BUGS
assert() is implemented as a macro; if the expression tested has side - effects, program behaviour will be different depending on whether NDEBUG is defined. This may create Heisenbugs which go away when debugging is turned on.

SEE ALSO
exit(3), abort(3)